Page MenuHomePhabricator

Include NewPP report as a JSON configuration object
Closed, ResolvedPublic

Description

  • Emit NewPP report data as "configuration" variables
  • Use the configuration variable and output the result in the Performance inspector.

This change should go out the same time as we push the inspector so it's easy to use the new format.

Event Timeline

ori created this task.Aug 29 2015, 12:26 AM
ori raised the priority of this task from to Needs Triage.
ori updated the task description. (Show Details)
ori added a subscriber: ori.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 29 2015, 12:26 AM
Krinkle claimed this task.Aug 29 2015, 12:34 AM
Krinkle triaged this task as Normal priority.
Krinkle set Security to None.
Krinkle removed Krinkle as the assignee of this task.Dec 9 2015, 8:54 PM

Change 294292 had a related patch set uploaded (by Phedenskog):
Include the NewPP report in Performance inspector

https://gerrit.wikimedia.org/r/294292

Peter updated the task description. (Show Details)
ori added a comment.Jun 21 2016, 7:10 PM

This is trickier than I initially thought. The parser currently adds the report to the page HTML. Adding the report as a JavaScript config script is not a simple change, because JavaScript config scripts are not part of the parser output; they're part of the interface.

So, I think the right way to do this is to leave performance data in the parser output as data, and leave it up to the interface code to extract this data and expose it to users. This should be done in OutputPage.php, most likely.

ori reassigned this task from Peter to aaron.Jun 27 2016, 6:58 PM
ori added a subscriber: Peter.

Change 299693 had a related patch set uploaded (by Aaron Schulz):
Move NewPP limit report HTML comments to JS variables

https://gerrit.wikimedia.org/r/299693

Change 299693 merged by jenkins-bot:
Move NewPP limit report HTML comments to JS variables

https://gerrit.wikimedia.org/r/299693

ori closed this task as Resolved.Jul 26 2016, 6:38 PM

Change 294292 merged by jenkins-bot:
Include the NewPP report in Performance inspector

https://gerrit.wikimedia.org/r/294292

Change 320461 had a related patch set uploaded (by Bartosz Dziewoński):
Revert "Move NewPP limit report HTML comments to JS variables" and followups

https://gerrit.wikimedia.org/r/320461

matmarex reopened this task as Open.Nov 8 2016, 9:41 PM
matmarex removed a project: Patch-For-Review.
matmarex added a subscriber: matmarex.

I am reverting this due to numerous regressions – see T142210 and the patches linked there for details. I think a machine-readable limit report would be a very useful feature, but not at the cost of losing the human-readable limit report, as it was implemented here.

(PerformanceInspector is not yet deployed to WMF production, as far as I know, so this shouldn't be problematic for day-to-day operations of the sites. But I'm doing this after a branch cut just in case.)

Change 320461 merged by Bartosz Dziewoński:
Revert "Move NewPP limit report HTML comments to JS variables" and followups

https://gerrit.wikimedia.org/r/320461

Change 320522 had a related patch set uploaded (by Bartosz Dziewoński):
Revert "Move NewPP limit report HTML comments to JS variables" and followups

https://gerrit.wikimedia.org/r/320522

Change 320522 merged by Bartosz Dziewoński:
Revert "Move NewPP limit report HTML comments to JS variables" and followups

https://gerrit.wikimedia.org/r/320522

Krinkle moved this task from Doing to Inbox on the Performance-Team board.Nov 9 2016, 6:49 PM
Krinkle reassigned this task from aaron to Peter.Nov 10 2016, 8:08 PM
Krinkle added a subscriber: aaron.
aaron renamed this task from Convert NewPP report from an HTML comment to a JSON configuration object to Include NewPP report as a JSON configuration object.Nov 10 2016, 8:28 PM
aaron updated the task description. (Show Details)

Change 320861 had a related patch set uploaded (by Aaron Schulz):
Include JS variable for NewPP report

https://gerrit.wikimedia.org/r/320861

Change 320861 merged by jenkins-bot:
Include JS variable for NewPP report

https://gerrit.wikimedia.org/r/320861

aaron closed this task as Resolved.Feb 17 2017, 9:31 PM